Subject: Re: Run a perl script with cygwin
From: Mark Himsley <[email-masked]>
To: Jorge Goncalvez <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Dec 2001 09:51:37 +0000

Please make sure that replies go to the Cygwin email list whom I am CCing
this reply to.

On Wed, 5 Dec 2001 10:07:17 +0100 (MET) you wrote:

>I tried but it fails it says bad path with my script even it says that iu-config 
> The specified name is not recognized as being an internal command(order) or 
>external, a program executable or a file of command(order) .
>
>I use the Active_perl for Win32.

>Why?

You are still confusing Cygwin applications with Windows applications.

Active State's Perl knows nothing of Cygwin's POSIX style paths and
applications.

Cygwin comes with its own Perl which known about Cygwin paths. Why are you
using Active State's Perl?

There is NO WAY you are going to directly run iu-config from Active State
Perl from outside of Cygwin because it is a Bash script.

If you insist on running Active state Perl you may have more luck with:

my $cmd='C:\cygwin\bin\bash.exe /bin/iu-config';

but the proper thing to do is to run the Perl which comes with Cygwin.

-- 
Mark Himsley
In Acton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/